<template>
  <GenericLayout>
    <template #header>
      <Header
        back-button
        :title="pageTitle"
      />
    </template>

    <template #page-content>
      <BroadcastCard
        v-if="isBroadcast"
        :broadcast-id="messageId"
        @message-ready="onMessageReady"
      />

      <TicketCard
        v-else-if="isTicket"
        :ticket-id="messageId"
        @message-ready="onMessageReady"
      />
    </template>

    <template
      #footer
      v-if="isDesktopPlatform"
    >
      <Footer />
    </template>
  </GenericLayout>
</template>

<script>
import { PlatformMixin } from 'src/mixins/PlatformMixin'
import GenericLayout from 'src/layouts/GenericLayout'
import Header from 'src/components/layouts/Header'
import Footer from 'src/components/layouts/Footer'
import BroadcastCard from 'src/pages/messaging/components/BroadcastCard'
import TicketCard from 'src/pages/messaging/components/TicketCard'

export default {
  name: 'MessagingPage',
  mixins: [
    PlatformMixin
  ],
  components: {
    GenericLayout,
    Header,
    Footer,
    BroadcastCard,
    TicketCard
  },
  data () {
    return {
      message: null,
      holdings: null
    }
  },
  computed: {
    pageTitle () {
      return this.message ? this.message.title : '...'
    },
    messageId () {
      return Number(this.$route.params.messageId)
    },
    messageType () {
      return this.$route.params.messageType
    },
    isBroadcast () {
      return this.messageType === 'broadcast'
    },
    isTicket () {
      return this.messageType === 'ticket'
    }
  },
  methods: {
    onMessageReady (message) {
      this.message = message
    }
  }
}
</script>
